-- MAX+plus II VHDL Template
-- Clearable loadable enablable counter

LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY led7dec IS
	PORT
	(
		D		: IN	STD_LOGIC_VECTOR(3 downto 0);
		E		: IN	std_logic;
		LED		: OUT 	STD_LOGIC_VECTOR(6 downto 0)
	);
END led7dec;

ARCHITECTURE RTL OF led7dec IS

	
BEGIN

	PROCESS (D,E)
	BEGIN
	IF(E = '0') THEN
	    LED <= "0000000";
	ELSE
		CASE D IS
			WHEN  "0000" =>
		    	LED <= "0111111";
			WHEN  "0001" =>
		    	LED <= "0000110";
			WHEN  "0010" =>
		    	LED <= "1011011";
			WHEN  "0011" =>
		    	LED <= "1001111";
			WHEN  "0100" =>
		    	LED <= "1100110";
			WHEN  "0101" =>
		    	LED <= "1101101";
			WHEN  "0110" =>
		    	LED <= "1111101";
			WHEN  "0111" =>
		    	LED <= "0000111";
			WHEN  "1000" =>
		    	LED <= "1111111";
			WHEN  "1001" =>
		    	LED <= "1100111";
			WHEN  "1010" =>
		    	LED <= "1110111";
			WHEN  "1011" =>
		    	LED <= "1111100";
			WHEN  "1100" =>
		    	LED <= "1011000";
			WHEN  "1101" =>
		    	LED <= "1011110";
			WHEN  "1110" =>
		    	LED <= "1111001";
			WHEN  "1111" =>
		    	LED <= "1110001";
			WHEN OTHERS =>
				LED <= "0000000";

		END CASE;
	END IF;
	END PROCESS;

		
END RTL;

